#This is just to test compiling on GNU g++. Options are for "release" version, optimized for the performance
#The linker commands, gluing it with the static EXPAT library (wide character, multithreaded), are not added 
#(you can add them by yourself).
#Notice the compiler preprocessor symbols - they are important!

CXX = g++
C = gcc
LIB = ar cr

CXXFLAGS= -O3 -I../blender -I../agg/include -I../Expat/lib -DNDEBUG -DXML_STATIC -D_MBCS -D_USRDLL -Dsvgtex_EXPORTS -DTEX_EXTENSIONS

SRC_CXX=\
..\agg\src\agg_bezier_arc.cpp \
..\agg\src\agg_curves.cpp \
..\agg\font_win32_tt\agg_font_win32_tt.cpp \
..\agg\src\agg_image_filters.cpp \
agg_svg_path_tokenizer.cpp \
..\agg\src\agg_trans_affine.cpp \
..\agg\src\agg_vcgen_contour.cpp \
..\agg\src\agg_vcgen_dash.cpp \
..\agg\src\agg_vcgen_stroke.cpp \
svg_basics.cpp \
svg_conv_locator.cpp \
svg_element.cpp \
svg_filter.cpp \
svg_font.cpp \
svg_font_win32.cpp \
svg_parser.cpp \
svg_req_filter.cpp \
svg_req_render.cpp \
svg_request.cpp \
svg_shape.cpp \
svg_text_position.cpp \
svg_tspan.cpp \
svgtex.cpp \
tex_instance.cpp \
tex_texel.cpp \
tex_tile.cpp \
tex_tileset.cpp \

OBJ=$(SRC_CXX:.cpp=.o) 

all:	$(OBJ)

clean:
	erase *.o
	

%.o: %.cpp
	$(CXX) -c $(CXXFLAGS) $*.cpp -o $@

%.o: %.c
	$(C) -c $(CXXFLAGS) $*.c -o $@
